## haskell-utility-ht 0.0.16

=== Makefile ===
ghci:
	ghci -i:src -Wall src/Data/List/HT.hs

jhc:
	jhc -i src --build-hl utility-ht.jhc-cabal

jhc-test:
	jhc -p utility-ht -i src src/Test.hs


run-test:	update-test
	runhaskell Setup configure --user --enable-tests
	runhaskell Setup build
	runhaskell Setup haddock
	runhaskell Setup test --show-details=streaming

update-test:
	doctest-extract -i src/ -o src/ --module-prefix DocTest --executable-main=Test.hs --import-tested $$(cat test-module.list)

## haskell-utility-ht 0.0.5.1

=== debian/changelog ===
haskell-utility-ht (0.0.5.1-6) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:50 +0200

haskell-utility-ht (0.0.5.1-5) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:23 +0200

haskell-utility-ht (0.0.5.1-4) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:26:22 +0200

haskell-utility-ht (0.0.5.1-3) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:19:29 +0000

haskell-utility-ht (0.0.5.1-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Tue, 24 May 2011 16:30:47 +0100

haskell-utility-ht (0.0.5.1-1) unstable; urgency=low

  * Initial release (Closes: 574503).

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 18 Mar 2010 12:05:14 -0430

=== debian/control ===
Source: haskell-utility-ht
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
 ghc, ghc-prof, libghc-quickcheck2-dev, libghc-quickcheck2-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/utility-ht
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-utility-ht
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-utility-ht

Package: libghc-utility-ht-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for libghc-utility-ht-dev${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

=== debian/watch ===
# See uscan(1) for format

version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|utility-ht-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/utility-ht \
    ([\d\.]*\d)/

## haskell-utility-ht 0.0.10

=== debian/changelog ===
haskell-utility-ht (0.0.10-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 May 2015 12:37:52 +0100

haskell-utility-ht (0.0.10-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:54:38 +0200

haskell-utility-ht (0.0.10-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:32 +0100

haskell-utility-ht (0.0.10-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 23:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
-Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
+Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.9),
  ghc, ghc-prof, libghc-quickcheck2-dev, libghc-quickcheck2-prof
 Build-Depends-Indep: ghc-doc
 Standards-Version: 3.9.4

## haskell-utility-ht 0.0.11

=== debian/changelog ===
haskell-utility-ht (0.0.11-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 11 Jan 2016 00:30:02 -0500

haskell-utility-ht (0.0.10-5) unstable; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped

  [ Clint Adams ]
  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:13 -0500

haskell-utility-ht (0.0.10-4) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:57 +0200

=== debian/control ===
Source: haskell-utility-ht
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/utility-ht
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-utility-ht-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-prof
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: profiling libraries for libghc-utility-ht-dev${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/utility-ht/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-utility-ht 0.0.12

=== debian/changelog ===
haskell-utility-ht (0.0.12-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 04 Sep 2016 12:02:01 -0400

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ghc,
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://hackage.haskell.org/package/utility-ht
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: libghc-utility-ht-dev
 Architecture: any

## haskell-utility-ht 0.0.13

=== debian/changelog ===
haskell-utility-ht (0.0.13-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 18 Jun 2017 02:26:04 -0400

haskell-utility-ht (0.0.12-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:36:47 -0400

haskell-utility-ht (0.0.12-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Fri, 14 Oct 2016 14:41:03 -0400

## haskell-utility-ht 0.0.14

=== debian/changelog ===
haskell-utility-ht (0.0.14-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:24:28 +0300

haskell-utility-ht (0.0.14-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:09 -0400

haskell-utility-ht (0.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 20:14:54 -0400

=== debian/control ===
Source: haskell-utility-ht
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
Build-Depends-Indep: ghc-doc
Standards-Version: 4.1.4
Homepage: http://hackage.haskell.org/package/utility-ht
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-utility-ht
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-utility-ht]

Package: libghc-utility-ht-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for libghc-utility-ht-dev${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

Package: libghc-utility-ht-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: small helper functions for Lists, Maybes, Tuples and Functions${haskell:ShortBlurb}
 This library provides various small helper functions for Lists, Maybes,
 Tuples and Functions. Some of these functions are improved implementations
 of standard functions. They have the same name as their standard
 counterparts.
 .
 ${haskell:Blurb}

## haskell-utility-ht 0.0.15

=== debian/changelog ===
haskell-utility-ht (0.0.15-1build2) hirsute; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2020 01:51:23 +0000

haskell-utility-ht (0.0.15-1build1) groovy; urgency=medium

  * No change rebuild against new ghc ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Jul 2020 14:43:32 +0100

haskell-utility-ht (0.0.15-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 19:34:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-utility-ht
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: optional
 Section: haskell

## haskell-utility-ht 0.0.16

=== debian/changelog ===
haskell-utility-ht (0.0.16-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 02 Jul 2022 15:53:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-utility-ht
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
 Priority: optional
 Section: haskell
@@ -12,7 +11,7 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: http://hackage.haskell.org/package/utility-ht
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-utility-ht
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-utility-ht]

## haskell-utility-ht 0.0.17

=== Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	runhaskell Setup test --show-details=streaming
 
 update-test:
-	doctest-extract -i src/ -o src/ --module-prefix DocTest --executable-main=Test.hs --import-tested $$(cat test-module.list)
+	doctest-extract-0.1 -i src/ -o src/ --module-prefix DocTest --executable-main=Test.hs --import-tested $$(cat test-module.list)

=== debian/changelog ===
haskell-utility-ht (0.0.17-1) unstable; urgency=medium

  * Remove retired developer, Joachim Breitner, from Uploaders.
  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 28 Aug 2023 18:36:43 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: haskell-utility-ht
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Joachim Breitner <nomeata@debian.org>
+Uploaders: Ilias Tsitsimpis <iliastsi@debian.org>
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://hackage.haskell.org/package/utility-ht
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-utility-ht
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-utility-ht]

=== debian/watch ===
version=3
https://hackage.haskell.org/package/utility-ht/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-utility-ht 0.0.17.2

=== Makefile ===
--- 
+++ 
@@ -14,5 +14,8 @@
 	runhaskell Setup haddock
 	runhaskell Setup test --show-details=streaming
 
-update-test:
+update-test:	test-module.list
 	doctest-extract-0.1 -i src/ -o src/ --module-prefix DocTest --executable-main=Test.hs --import-tested $$(cat test-module.list)
+
+test-module.list:	utility-ht.cabal
+	grep '^ \+DocTest\.' $< | cut -d. -f2- >$@

=== debian/changelog ===
haskell-utility-ht (0.0.17.2-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 05 Jan 2026 17:43:02 +0200

haskell-utility-ht (0.0.17.2-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 17 Sep 2024 11:17:55 +0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://hackage.haskell.org/package/utility-ht
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-utility-ht
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-utility-ht]
